%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   Gtk2-GladeXML
%define modv   1.006
%define gladev %(rpm -q libglade2-devel --qf '%{VERSION}')


Summary:       Create user interfaces directly from Glade XML files
Name:          perl-%{modn}
Version:       %{modv}
Release:       3%{?dist}%{?pext}
License:       LGPL
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Torsten Schoenfeld <kaffeetisch@gmx.de>
Provides:      perl(Gtk2::GladeXML) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      libglade2 = %{gladev}
BuildRequires: perl(ExtUtils::Depends) >= 0.100
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.00
BuildRequires: perl(Glib) >= 1.020
BuildRequires: perl(Gtk2) >= 1.000
BuildRequires: perl(Test::More)
BuildRequires: libglade2-devel


%description
Gtk2::GladeXML allows Perl programmers to use libglade, a C library which
generates graphical user interfaces directly from the XML output of the
Glade user interface designer.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE NEWS README
%{perl_vendorarch}/auto/Gtk2/*
%{perl_vendorarch}/Gtk2/GladeXML
%{perl_vendorarch}/Gtk2/GladeXML.pm
%{_mandir}/man3/*.3*


%changelog
* Thu May 29 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.006-3
- Initial build
